summaryrefslogtreecommitdiffstats
path: root/.local
diff options
context:
space:
mode:
authorJozanLeClerc <bousset.rudy@gmail.com>2022-03-14 17:31:20 +0100
committerJozanLeClerc <bousset.rudy@gmail.com>2022-03-14 17:31:20 +0100
commit8f6be4a9861d29cd189b07f332a56cb83bd86abd (patch)
tree939dee5ffc664dab13293551022ede10a1ffdffa /.local
parentUpdate (diff)
downloaddotfiles-bsd-8f6be4a9861d29cd189b07f332a56cb83bd86abd.tar.gz
dotfiles-bsd-8f6be4a9861d29cd189b07f332a56cb83bd86abd.tar.bz2
dotfiles-bsd-8f6be4a9861d29cd189b07f332a56cb83bd86abd.tar.xz
dotfiles-bsd-8f6be4a9861d29cd189b07f332a56cb83bd86abd.tar.zst
dotfiles-bsd-8f6be4a9861d29cd189b07f332a56cb83bd86abd.zip
In progress
Diffstat (limited to '')
-rwxr-xr-x.local/bin/rotdir14
1 files changed, 14 insertions, 0 deletions
diff --git a/.local/bin/rotdir b/.local/bin/rotdir
new file mode 100755
index 0000000..013ef86
--- /dev/null
+++ b/.local/bin/rotdir
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Courtesy of Luke Smith
+
+# When I open an image from the file manager in sxiv (the image viewer), I want
+# to be able to press the next/previous keys to key through the rest of the
+# images in the same directory. This script "rotates" the content of a
+# directory based on the first chosen file, so that if I open the 15th image,
+# if I press next, it will go to the 16th etc. Autistic, I know, but this is
+# one of the reasons that sxiv is great for being able to read standard input.
+
+[ -z "$1" ] && echo "usage: rotdir regex 2>&1" && exit 1
+base="$(basename "$1")"
+exa "$PWD" | awk -v BASE="$base" 'BEGIN { lines = ""; m = 0; } { if ($0 == BASE) { m = 1; } } { if (!m) { if (lines) { lines = lines"\n"; } lines = lines""$0; } else { print $0; } } END { print lines; }'